# @(#)topics.tcl	1.5  97/12/23

# Copyright (c) Communications Research Centre, Government of Canada 1997. 
# All rights reserved.
# 
# License is granted to copy and use this software, for research and
# evaluation purposes, provided that the Communications Research Centre
# is acknowledged in all documentation pertaining to any such copy or
# use. The Communications Research Centre grants no other licenses
# expressed or implied. Title, ownership rights, and intellectual
# property rights in the software shall remain with the Communications
# Research Centre.  The Centre's name and the Government of Canada
# should not be used in any advertising without written permission.
# 
# THE COMMUNICATIONS RESEARCH CENTRE MAKES NO REPRESENTATIONS CONCERNING
# EITHER THE MERCHANTABILITY OF THIS SOFTWARE OR THE SUITABILITY OF
# THIS SOFTWARE FOR ANY PARTICULAR PURPOSE.  The software is provided
# "as is" without express or implied warranty of any kind.
# 
# These notices must be retained in any copies of any part of this
# software.
# 




# the main display of the quesion topics
# this is the first Tk window that is seen

option add *font \
   "$default_font" \
   widgetDefault

wm title . "MPoll - $theme"
wm iconbitmap . "point"

frame .topbar \
   -borderwidth 1 \
   -relief flat
pack .topbar -side top 

button .topbar.about \
   -text "About" \
  -command  "helpme about"
pack .topbar.about -side  right

button .topbar.help \
   -text "Help" \
  -command  "helpme topics"
pack .topbar.help -side  right

button .topbar.monitor \
   -text "Traffic Monitor" \
  -command  "viewmonitor"
pack .topbar.monitor -side  right

button .topbar.members \
   -text "Members" \
  -command  "viewmembers"
pack .topbar.members -side  right



label .mlabel \
   -text  "TOPICS FOR: $theme" \
   -fg  blue
pack .mlabel -side top -padx 5 -anchor w


# create a list of topics
frame .listframe
pack .listframe -side top -expand  1 -fill  y

frame .listframe.buttonframe
pack .listframe.buttonframe -side  right

button .listframe.buttonframe.viewbutton \
   -text  "View Question" \
   -width  15 \
   -command viewquest
pack .listframe.buttonframe.viewbutton -anchor  w

button .listframe.buttonframe.resultsbutton \
   -text  "View Results" \
   -width  15 \
   -command quickviewresults
pack .listframe.buttonframe.resultsbutton -anchor  w

button .listframe.buttonframe.createbutton \
   -text  "Create Question" \
   -width  15 \
   -command  createq
pack .listframe.buttonframe.createbutton -anchor  w

button .listframe.buttonframe.deletebutton \
   -text  "Delete Question" \
   -width  15 \
   -command  deleteq
pack .listframe.buttonframe.deletebutton -anchor  w

scrollbar .listframe.listscroll \
   -orient vertical \
   -command  [list .listframe.list yview]

listbox .listframe.list \
   -yscrollcommand  [list .listframe.listscroll set] \
   -setgrid  1 \
   -height  10 \
   -width  30

# make a double click open a question display directly
bind .listframe.list <Double-Button-1> "viewquest"

#  have Button-3 display results directly
bind .listframe.list <Button-3> {.listframe.list select clear 0 end}
bind .listframe.list <Button-3> {+ .listframe.list select anchor [.listframe.list nearest %y]}
bind .listframe.list <Button-3> {+ .listframe.list select set anchor [.listframe.list nearest %y]}
bind .listframe.list <Button-3> {+ quickviewresults}

pack .listframe.listscroll -side right  -fill y  -expand  1
pack .listframe.list -side  left  -expand 1  -fill both


# ----------------------------
# the buttons at the bottom

frame .bottomframe 
pack .bottomframe -pady 0 -padx 5 -side bottom -fill  x

label .bottomframe.logo \
   -bitmap "logo" \
   -fg  black
pack .bottomframe.logo -side left -anchor e

label .bottomframe.version \
   -text "MPoll - $version" 
pack .bottomframe.version -side left -ipadx 5

button .bottomframe.quit \
   -text "Quit" \
  -command  "confirm"
pack .bottomframe.quit -side  right

button .bottomframe.save \
   -text "Save Results" \
  -command  "saveresults"
pack .bottomframe.save -side  right

